Subject: Re: [CDNi] IANA instructions Re: I-D Action: draft-ietf-cdni-logging-09.txt

From: "Francois Le Faucheur (flefauch)" <[email-masked]>
Date: Mon, 3 Mar 2014 15:36:53 +0000

Got you.

The RFC2119 normative language has been removed from the "working version”.

Thanks

Francois

On 28 Feb 2014, at 14:43, Peterson, Jon <[email-masked]<mailto:[email-masked]>> wrote:

No, I recommended removing the normative language because RFC2119 language is not applicable to IANA Considerations. Strictly speaking, RFC2119 normative primitives are intended to constrain implementation behavior, for conformance testing, and not to shape internal IETF process. We sometimes see normative language in requirements for future specifications (e.g., "the eventual solution SHOULD support anycast") but even this is a bit dodgy.

Now that much said, I doubt IANA would be confused by MUST statements, but I would still recommend changing the language in the logging draft to lower case terms rather than 2119 primitives, and avoiding anything that looks like a MAY or SHOULD. If you want to enforce constraints on parameter registrations, you need to set a policy other than "Spec Required", probably "Expert Review" by someone who understands the constraints. We can't expect IANA to understand when conditions like those in the last paragraph of 5.3 are met.

Jon Peterson
Neustar, Inc.

Sent with Good (www.good.com<http://www.good.com>)

-----Original Message-----
From: Francois Le Faucheur (flefauch) [[email-masked]<mailto:[email-masked]>]
Sent: Thursday, February 20, 2014 08:51 AM Eastern Standard Time
To: Peterson, Jon
Cc: Francois Le Faucheur (flefauch); [email-masked]<mailto:[email-masked]>; Kevin J Ma
Subject: IANA instructions Re: [CDNi] I-D Action: draft-ietf-cdni-logging-09.txt

Hi Jon,

In his review comments on cdni-logging, Kevin said:

On 19 Feb 2014, at 02:00, Kevin J Ma <[email-masked]<mailto:[email-masked]>> wrote:
>
> section 5.x: Jon had a comment on the FCI semantics draft to remove
>             normative language from IANA instructions (which we also
>             applied to the MI draft).  We probably want to do the
>             same here?
>

Was the reason for which you recommended that the FCI semantics I-D removes normative language from IANA instructions the fact that FCI semantics is going for Informational Track?
If yes, then that would not apply to cdni-logging.
If no, can you describe the reason and whether/how you see that impacting (or not) cdni-logging, given the current IANA section wording?

Thanks

Francois